Skip to content

Get environment

GET
/api/v1/environments/{environment_id}
curl --request GET \
--url https://example.com/api/v1/environments/example

Get a deployment environment by ID

environment_id
required
Environment Id
string

Successful Response

Media typeapplication/json
EnvironmentResponse

Environment response model.

object
id
required
Id
string
name
required
Name
string
description
required
Any of:
string
protected
required
Protected
boolean
platform
required
Platform
string
gitProvider
Any of:
string
gitRepository
Any of:
string
targetGitBranch
Any of:
string
secretScope
Any of:
string
databricksClientIdKey
Any of:
string
databricksClientSecretKey
Any of:
string
configuration
required
Configuration
object
key
additional properties
any
isActive
required
Isactive
boolean
createdAt
required
Createdat
string format: date-time
updatedAt
required
Updatedat
string format: date-time
createdBy
Any of:
string
updatedBy
Any of:
string
Examplegenerated
{
"id": "example",
"name": "example",
"description": "example",
"protected": true,
"platform": "example",
"gitProvider": "example",
"gitRepository": "example",
"targetGitBranch": "example",
"secretScope": "example",
"databricksClientIdKey": "example",
"databricksClientSecretKey": "example",
"configuration": {},
"isActive": true,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z",
"createdBy": "example",
"updatedBy": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}